package api

import (
	"fmt"
	"net/http"
	"net/http/httptest"
	"strings"
	"testing"
)

func TestHandlePostTarget(t *testing.T) {
	ts := httptest.NewServer(http.HandlerFunc(HandlePostTarget))
	defer ts.Close()

	res, err := http.Post(ts.URL, "application/json", strings.NewReader(""))
	if err != nil {
		fmt.Println(err)
		t.FailNow()
	}
	if res.StatusCode != http.StatusNotImplemented {
		t.Error("Post should return a 'not implemented' error")
	}
}
